﻿using System.Configuration;
using System.Windows;
using LinqToSqlProvider.ObjectModel;
using LinqToSqlProvider.ObjectModel.Provider;

namespace LinqToSqlProvider
{
    /// <summary>
    /// Interaction logic for Scheduler.xaml
    /// </summary>
    public partial class Scheduler
    {
        private void btnRepopulate_Click(object sender, RoutedEventArgs e)
        {
            var provider = new SqlSchedulerProvider();

            using (var context = new ScheduleDataContext())
            {
                // delete all records
                context.AppointmentExceptions.DeleteAllOnSubmit(context.AppointmentExceptions);
                context.SqlAppointments.DeleteAllOnSubmit(context.SqlAppointments);
                context.SubmitChanges();

                //insert the defaults
                var data = new Data();
                foreach (var appointment in data.Appointments)
                {
                    provider.AddAppointmentToDataBase(appointment);
                }
            }
            
            scheduler.SetValue(ProviderManager.ProviderProperty, provider);
        }
    }
}
